import io from 'socket.io-client';
const address: any = import.meta.env.VITE_APP_BASE_API;
const token: any = localStorage.getItem('token');
let socket: any = {}; //ws实例对象

export const deviceWs = (callback: any) => {
  socket = io(address + '/', {
    transports: ['websocket', 'polling'],
    query: {
      Authorization: token
    }
  });
  socket.on('connect', (e: any) => {
    callback(e);
  });
  socket.on('my_response', (e: any) => {
    callback(e);
  });
  socket.on('fe_device_init_result', (e: any) => {
    callback(e);
  });
  socket.on('disconnect', (e: any) => {
    callback(e);
  });
};

export const sendMessage = (type: string, data: any, callback?: () => void) => {
  if (socket.connected) {
    callback = callback || function () {};
    socket.emit(type, data, callback);
  }
};

/**
 * 开始连接
 */
export const startDevice = (data?: any, callback?: any) => {
  sendMessage(
    'fe_device_init',
    {
      data: data
    },
    () => {}
  );
};
